## xorg 7.2-0ubuntu11

=== debian/changelog ===
xorg (1:7.2-0ubuntu11) feisty; urgency=low

  * debian/local/dexconf: 
    - Change the wacom device path /dev/wacom -> /dev/input/wacom so
      USB devices have a chance to work out-of-the-box. Serial devices
      use the initscript from wacom driver as before.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon,  2 Apr 2007 17:17:58 +0300

xorg (1:7.2-0ubuntu10) feisty; urgency=low

  * debian/xserver-xorg.postinst.in:
    - Move the special case of elographics after xresprobing, so we can
      check if PROBE_DUMP is empty, and only then use the special case.
      (LP: #89590)
  * debian/scripts/vars.*
    - add the intel and -modesetting drivers as a substitute for -i810.
      Taken from Debian. (LP: #80417)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 30 Mar 2007 18:04:08 +0300

xorg (1:7.2-0ubuntu9) feisty; urgency=low

  [ Colin Watson ]
  * debian/xserver-xorg.config.in: Improve expr return code handling in
    validate_nice_value (the right way this time); don't use run function
    when we need to check db_input's return value (LP: #68267).

  [ Timo Aaltonen ]
  * debian/xserver-xorg.postinst.in: Intel Mobile 945GM needs sync ranges
    (LP: #62002)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 27 Mar 2007 00:44:01 +0300

xorg (1:7.2-0ubuntu8) feisty; urgency=low

  * debian/local/dexconf:
    - Revert enabling horizontal scrolling for synaptics, since it is broken
    for some hardware. Better to be on the safe side.
    - Fix the reference to xorg.conf manpage (LP: #52032)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 16 Mar 2007 10:49:18 +0200

xorg (1:7.2-0ubuntu7) feisty; urgency=low

  * debian/local/dexconf: Disable composite when using the fglrx driver. It
    does not support composition, and enabling it by default (as recently done
    in xorg-server) breaks DRI for fglrx. (LP: #90688)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  9 Mar 2007 10:52:42 +0100

xorg (1:7.2-0ubuntu6) feisty; urgency=low

  * xserver-xorg.templates: Add xserver-xorg/config/device/extra_options so
    that extra graphics driver options can be set through debconf and
    respected by dexconf. We need this in restricted-manager to make
    restricted drivers like nvidia work OOTB for compiz, but it is certainly
    useful for other things, too. (NB that the question is never asked
    interactively).
  * debian/local/dexconf: Read above debconf key, parse it (first token is
    option name, rest of the line after first space is value), and add it as
    Option lines to the device section. (LP: #90109)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  8 Mar 2007 11:40:50 +0100

xorg (1:7.2-0ubuntu5) feisty; urgency=low

  * revert the "fix" to validate_nice_value, which in fact broke it
    completely.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 12:19:27 +0200

xorg (1:7.2-0ubuntu4) feisty; urgency=low

  * debian/x11-common.config.in:
    - fix validate_nice_value() not to fail when using adept
      (Closes: LP #68267)
  * debian/local/dexconf:
    - don't set HorizScrollDelta for synaptics so that horizontal scrolling
      works. (Closes: LP #40021)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 07:59:58 +0200

xorg (1:7.2-0ubuntu3) feisty; urgency=low

  * Set default keyboard variant for French to oss (LP: #89835).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 11:20:23 +0000

xorg (1:7.2-0ubuntu2) feisty; urgency=low

  * Add xserver-xorg-video-1.0 alternative to the Depends for
    xserver-xorg. 

 -- Kyle McMartin <kyle@ubuntu.com>  Sun,  4 Mar 2007 15:48:54 +0000

xorg (1:7.2-0ubuntu1) feisty; urgency=low

  * debian/control:
    - don't require a xserver-xorg-core non available yet, the versionned
      Depends is only for reportbug
  * debian/control, debian/scripts/vars.sparc, debian/rules:
    - makes xorg arch any and use an extra variable 
      to not Depends on type-handling

  [ Timo Aaltonen ]
  * Merge with Debian, remaining changes:
    - debian/control:
      + Add replaces for xinit since we now ship Xsession from x11-common.
        Ditto for xrgb as we ship rgb.txt in x11-common.
      + xserver-xorg:
        Depends: xserver-xorg-video-1.0 -> xserver-xorg-video.
        Put ${F:XServer-Xorg-Detect-Depends} in Recommends:, like the rest
        of the tools.
      + Added Replaces: xserver-xorg-driver-all to xserver-xorg-video-all
      + Added Conflicts: xserver-xorg-driver-all to xserver-xorg-video-all
      + Keep meta-packages for xlibs-dev, xbase-clients, xutils
    - debian/local/Xsession:
      + Set temporary umask when creating $ERRFILE
      + If ~/.xsession-errors is bigger than 0.5MiB, truncate it to the last
        0.5MiB to avoid having it grow indefinitively. (This does not happen
        with gdm anyway since gdm cleans the file on login).
        (Closes: LP #60448)
    - debian/local/dexconf:
      + don't put /usr/X11R6/* in font paths.
      + Uncoditionally re-enable ZAxisMapping in dexconf.
        (Closes: LP #31827)
      + Add InputDevice entries for wacom.
      + Add extra bits for ps3fb xorg.conf
      + Add special case for i810 with 3M TouchScreen monitors to set a
        resolution of 800x600 and avoid probing since it will fail miserably
        in xserver-xorg.postinst. Also make sure to write Option "DisplayInfo"
        "False" in Device Section in dexconf if the above combination is
        matched otherwise the card will display extra unrequired info each
        time X attempts a startup. (touches also xserver-xorg.postinst.in)
      + Due to a very annoying DRI/DRM bug, make sure to use OldDmaInit
        when writing down the Device section for mga driver. This will make
        DRI working at least for AGP cards. PCI didn't work before and it will
        keep not working since the option does explicitly disable DRI for PCI.
        (Closes: LP #27442)
      + Enable elographics driver when matching known machines.
    - debian/rules:

