## xorg 7.2-5ubuntu13

=== debian/changelog ===
xorg (1:7.2-5ubuntu13) gutsy; urgency=low

  * debian/local/Failsafe/failsafeXServer:
    + Change next to continue (closes LP: #149304)
  * debian/local/Failsafe/failsafeXinit:
    + Fix typo s/XORGCONF/XORGCONFIG/

 -- Bryce Harrington <bryce@ubuntu.com>  Sun, 07 Oct 2007 09:56:15 -0700

xorg (1:7.2-5ubuntu12) gutsy; urgency=low

  * Add a dependency to x11-common for each binary built.
  * Symlink the doc directories to x11-common, explicitely remove the doc
    directories on upgrade for the now symlinked doc directories.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Oct 2007 20:28:33 +0200

xorg (1:7.2-5ubuntu11) gutsy; urgency=low

  * debian/local/Failsafe/failsafeXinit: Switch to use of new
    'xfailsafedialog' script instead of displayconfig-gtk
    (closes LP: #146186)
  * debian/local/Failsafe/failsafeXServer:
    + Use :10 instead of :0 to avoid overwriting the (failed)
      Xorg.0.log.  (Temporary but regression-safe fix for 148122)
    + Add failure logging, so we can track past failures and avoid
      re-running Bulletproof-X if it's already proven unable to fix the
      issue.  In this (rare but possible) case, we'll just get out of
      the way and let gdm handle it. (closes LP: #146603)
  * Drop debian/local/Failsafe/failsafeInstall as it is no longer used
  * debian/local/dexconf:  Fix problem preventing touchpad scrolling
    from being able to be enabled by switching HorizEdgeDelta for
    HorizEdgeScroll, as suggested by Matthew Garrett).
    (closes LP: #147249, and probably many more.)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 04 Oct 2007 03:30:32 -0700

xorg (1:7.2-5ubuntu10) gutsy; urgency=low

  * debian/local/dexconf:  Removing static wacom entries [Closes: LP# 83860]

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 17 Sep 2007 10:33:51 -0700

xorg (1:7.2-5ubuntu9) gutsy; urgency=low

  * debian/control:  Add Recommends for displayconfig-gtk
  * debian/local/Failsafe/:
    - Fix issue where debconf smooshes together stdout and stderr
      which resulted in issue where if any warning msgs are generated,
      they end up in the xorg.conf.failsafe.
    - Fix issue discovered in testing that it is difficult to override
      defaults in failsafeXserver, by making several parameters
      configurable as environment variables.
    - Fix issue when running failsafeXserver directly, not through gdm,
      where SIGSTOP was emitted to the parent process.  Now only do this
      if the parent process is gdm.
    - Fix issue on hardware that can't do DRI.  We had been unable to
      forcibly "Disable" DRI and other modules because guidance would
      crash on presence of this parameter in xorg.conf's.  Now that
      guidance is patched with this, we can safely use it to solve this
      issue.
    - Add warning dialog if displayconfig-gtk is not installed.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri,  7 Sep 2007 15:00:41 -0700

xorg (1:7.2-5ubuntu8) gutsy; urgency=low

  * debian/local/Failsafe/failsafeXServer:  Fix bug where gdm would
    attempt to manage the display while in failsafe mode, interrupting
    the user.  Now we shutdown gdm while in failsafe mode, and restart
    after we're finished.

 -- Bryce Harrington <bryce@ubuntu.com>  Tue,  4 Sep 2007 19:10:53 -0700

xorg (1:7.2-5ubuntu7) gutsy; urgency=low

  * debian/scripts/vars.i386:  Enabling xserver-xorg-video-amd as
    depends, as MIR has cleared and it's now in main. (LP: #130717)
  * debian/local/Failsafe/*:
    - Remove failsafe xorg.conf statements that guidance doesn't
      understand yet (e.g. Module>Disable)
    - Omit BUSID when debconf fails to discover it
    - Correct quotes for DISPLAY_MODES in failsafe xorg.conf
    - Add some error detection/reporting for failsafe xorg.conf generation
    - Add gksu for running displayconfig-gtk

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 24 Aug 2007 16:34:45 -0700

xorg (1:7.2-5ubuntu6) gutsy; urgency=low

  * debian/scripts:  Dropping xserver-xorg-video-amd as depends until MIR
    clears.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 16 Aug 2007 14:47:05 -0700

xorg (1:7.2-5ubuntu5) gutsy; urgency=low

  * debian/scripts:  Add xserver-xorg-video-amd and
    xserver-xorg-video-psb to xserver-xorg-video-all.  (LP: #130717)
  * debian/local/Failsafe/failsafeDexconf: script (based on dexconf) to
    generate a failsafe xorg.conf with hardcoded values for driver
    ("vesa"), refresh rates, and so forth.  Disables several modules
    that can sometimes cause problems (dri, glx, etc.)  Still uses
    debconf for keyboard, mouse, etc.
  * debian/local/Failsafe/failsafeXServer: using a static
    /etc/X11/xorg.conf.failsafe rather than a tmp file, so that
    displayconfig-gtk can reuse the file if user wishes.
  * debian/local/Failsafe/failsafeHelpmesg: dropped; this is now
    available in python through displayconfig-gtk in a much less hacky
    manner.
  * debian/control: Drop xserver-xorg-video-all and
    xserver-xorg-input-all as Recommends, since these are already
    listed as the first default for Depends.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 16 Aug 2007 12:26:39 -0700

xorg (1:7.2-5ubuntu4) gutsy; urgency=low

  * Stop handling -config specifically in the wrapper, as Xorg now handles
    this itself.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 10 Aug 2007 09:12:13 +0200

xorg (1:7.2-5ubuntu3) gutsy; urgency=low

  * debian/local/dexconf: fix the Display-subsection generation
    (LP: 130094).

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri,  3 Aug 2007 15:20:41 +0300

xorg (1:7.2-5ubuntu2) gutsy; urgency=low

  * debian/scripts/vars.lpia: Copied from vars.i386.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Aug 2007 08:57:30 +0000

xorg (1:7.2-5ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control, debian/scripts/vars.sparc, debian/rules:
      + Makes xorg Architecture: any and use an extra variable
        to not Depends on type-handling.
    - debian/control:

