=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: x11-common
 Architecture: any
-Depends: ${misc:Depends}, debianutils (>= 1.13), lsb-base (>= 1.3-9ubuntu2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.13), lsb-base (>= 1.3-9ubuntu2)
 Pre-Depends: debconf | debconf-2.0
 Conflicts: xfree86-common, xorg-common, xserver-common, x-common,
  xserver-xorg (<< 1:7.0.12), xserver-xfree86 (<< 1:7.0),
@@ -60,8 +60,11 @@
  beaver (<= 0.2.5-2), lsb-core (<= 3.1-4), yank (<=0.2.1-7.2),
  xpmumon (<= 1.3.0), ivtools-dev (<= 1.1.3-5), ppxp (<= 0.2001080415-14),
  guitar (<= 0.1.4-11), xftp, xext, xpaste, ghostview, xv (<= 3.10a-26),
- xserver-xfree86-dbg, grace6 (<= 5.99.0+final-4), xephem,
- opera (<< 9.10-20061214.6)
+ xserver-xfree86-dbg, grace6 (<= 5.99.0+final-4), xephem (<= 3.4-5),
+ opera (<< 9.10-20060616), hamsoft (<< 0.2.3-1), phototk, tkworld,
+ ucbmpeg-play (<< 2.3p-13), netscape-base-4, communicator-smotif-477, epan,
+ navigator-smotif-477, stella (<< 2.2-1), xfractint (<< 20.3.01-1), xgobi,
+ xpostitplus, xisp, vide (<= 1.21-3)
 Replaces: xfree86-common, xorg-common, xserver-common, x-common, xinit (<= 1.0.2-0ubuntu3), xrgb (<= 1.0.0-0ubuntu2)
 Description: X Window System (X.Org) infrastructure
  x11-common contains the filesystem infrastructure required for further
@@ -80,17 +83,20 @@
 Conflicts: xserver-xfree86 (<< 6.8.2.dfsg.1-1), xserver-common
 Replaces: xserver-common
 Pre-Depends: x11-common (>= 7.0.0-0ubuntu3)
-Depends: xserver-xorg-core, xserver-xorg-video-all | xserver-xorg-video-1.0 | xserver-xorg-video, xserver-xorg-input-all | xserver-xorg-input, ${misc:Depends}, xkb-data | xkb-data-legacy, xbase-clients
-Recommends: xserver-xorg-video-all, xserver-xorg-input-all, laptop-detect, xresprobe, mdetect, discover1 | discover, ${F:XServer-Xorg-Detect-Depends}
+Depends: xserver-xorg-core (>= 2:1.3.0.0.dfsg-3), xserver-xorg-video-all | xserver-xorg-video-1.0 | xserver-xorg-video, xserver-xorg-input-all | xserver-xorg-input, ${misc:Depends}, xkb-data | xkb-data-legacy, xbase-clients
+Recommends: laptop-detect, xresprobe, mdetect, discover1 | discover, displayconfig-gtk, ${F:XServer-Xorg-Detect-Depends}
 Description: the X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server, as well as providing a configuration infrastructure to manage
  xorg.conf.  It does not provide the actual server itself, but removing it
  is strongly discouraged.
+# versioned dependency on xserver-xorg-core needed because xserver-xorg
+# contains a patch to allow in-server module defaults in 2:1.2.99.905-3
+
 
 Package: xserver-xfree86
 Architecture: all
-Depends: xserver-xorg
+Depends: x11-common, xserver-xorg
 Description: transitional package for moving from XFree86 to X.Org
  This package smooths upgrades from Debian 3.1 by depending on xserver-xorg.
 
@@ -106,7 +112,7 @@
 
 Package: xserver-xorg-input-all
 Architecture: any
-Depends: ${F:XServer-Xorg-Input-Depends}
+Depends: x11-common, ${F:XServer-Xorg-Input-Depends}
 Description: the X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -114,7 +120,9 @@
 
 Package: xorg
 Architecture: any
-Depends: xserver-xorg, libgl1-mesa-glx, libgl1-mesa-dri, libglu1-mesa, xfonts-base (>= 1:1.0.0-1), xfonts-100dpi (>= 1:1.0.0-1), xfonts-75dpi (>= 1:1.0.0-1), xfonts-scalable (>= 1:1.0.0-1), xbase-clients (>= 1:1.0.1-1), xutils (>= 1:1.0.1-1), xkb-data, xterm | x-terminal-emulator, ${xorg-extra-dep}
+Depends: x11-common, xserver-xorg, libgl1-mesa-glx | libgl1, libglu1-mesa, xfonts-base (>= 1:1.0.0-1), xfonts-100dpi (>= 1:1.0.0-1), xfonts-75dpi (>= 1:1.0.0-1), xfonts-scalable (>= 1:1.0.0-1), xbase-clients (>= 1:1.0.1-1), xutils (>= 1:1.0.1-1), xkb-data, xterm | x-terminal-emulator, ${xorg-extra-dep}
+Recommends: libgl1-mesa-dri
+Suggests: xorg-docs
 Provides: x-window-system, x-window-system-core
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
@@ -129,7 +137,7 @@
 
 Package: xorg-dev
 Architecture: all
-Depends: libdmx-dev, libfontenc-dev, libfs-dev, libice-dev, libsm-dev, libx11-dev, libxau-dev, libxaw7-dev, libxcomposite-dev, libxcursor-dev, libxdamage-dev, libxdmcp-dev, libxevie-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxft-dev, libxi-dev, libxinerama-dev, libxkbfile-dev, libxkbui-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxres-dev, libxss-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev, libxvmc-dev, libxxf86dga-dev, libxxf86misc-dev, libxxf86vm-dev, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dmx-dev, x11proto-evie-dev, x11proto-fixes-dev, x11proto-fontcache-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86misc-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xserver-xorg-dev, xtrans-dev
+Depends: x11-common, libdmx-dev, libfontenc-dev, libfs-dev, libice-dev, libsm-dev, libx11-dev, libxau-dev, libxaw7-dev, libxcomposite-dev, libxcursor-dev, libxdamage-dev, libxdmcp-dev, libxevie-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxft-dev, libxi-dev, libxinerama-dev, libxkbfile-dev, libxkbui-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxres-dev, libxss-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev, libxvmc-dev, libxxf86dga-dev, libxxf86misc-dev, libxxf86vm-dev, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dmx-dev, x11proto-evie-dev, x11proto-fixes-dev, x11proto-fontcache-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86misc-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xserver-xorg-dev, xtrans-dev
 Description: the X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -146,7 +154,7 @@
 Package: xlibs-data
 Architecture: all
 Section: libs
-Depends: xbitmaps, xcursor-themes, libx11-6 (>= 2:1.0.0-2)
+Depends: x11-common, xbitmaps, xcursor-themes, libx11-6 (>= 2:1.0.0-2)
 Description: transitional package for X11 client data
  This package is provided to ease upgrades from Debian 3.1 ("sarge"). It
  may be safely removed from your system.
@@ -154,7 +162,7 @@
 Package: xlibs-static-dev
 Architecture: all
 Section: libs
-Depends: libxfont-dev, libfontenc-dev
+Depends: x11-common, libxfont-dev, libfontenc-dev
 Description: transitional metapackage
  This package depends on the individual libraries that used to be contained
  within the package of this name. These libraries used to be static
@@ -166,7 +174,7 @@
 Package: xlibmesa-dri
 Section: libs
 Architecture: all
-Depends: libgl1-mesa-dri
+Depends: x11-common, libgl1-mesa-dri
 Description: transitional package for Debian etch
  This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
  Debian etch. It may be safely removed from your system.
@@ -174,7 +182,7 @@
 Package: xlibmesa-gl
 Section: libs
 Architecture: all
-Depends: libgl1-mesa-glx
+Depends: x11-common, libgl1-mesa-glx
 Description: transitional package for Debian etch
  This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
  Debian etch. It may be safely removed from your system.
@@ -182,7 +190,7 @@
 Package: xlibmesa-gl-dev
 Section: libdevel
 Architecture: all
-Depends: libgl1-mesa-dev
+Depends: x11-common, libgl1-mesa-dev
 Description: transitional package for Debian etch
  This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
  Debian etch. It may be safely removed from your system.
@@ -190,7 +198,7 @@
 Package: xlibmesa-glu
 Section: libdevel
 Architecture: all
-Depends: libglu1-mesa
+Depends: x11-common, libglu1-mesa
 Description: transitional package for Debian etch
  This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
  Debian etch. It may be safely removed from your system.
@@ -198,7 +206,7 @@
 Package: libglu1-xorg
 Section: libs
 Architecture: all
-Depends: libglu1-mesa
+Depends: x11-common, libglu1-mesa
 Description: transitional package for Debian etch
  This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
  Debian etch. It may be safely removed from your system.
@@ -206,18 +214,3 @@
 Package: libglu1-xorg-dev
 Section: libdevel
 Architecture: all
-Depends: libglu1-mesa-dev
-Description: transitional package for Debian etch
- This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
- Debian etch. It may be safely removed from your system.
-
-Package: x-window-system
-Section: x11
-Architecture: all
-Depends: xorg
-Description: transitional package for Debian etch
- This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
- Debian etch. It may be safely removed from your system. It depends on the
- xorg package which is the new metapackage for installing the X Window
- System in Debian.
-
