=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 export DH_OPTIONS
 
 # latest ABI is 7.0 final
-SERVERABIBUMP = 7.2
+SERVERABIBUMP = 7.1.0
 
 # Default list of detection packages
 XSERVER_XORG_DETECT_DEPENDS = ""
@@ -90,6 +90,17 @@
 	dh_installchangelogs
 	dh_link
 	dh_compress
+	t=x11-common; \
+	for p in $$(dh_listpackages -i -N$$t); do \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	  ( \
+	    echo "# doc dir is now a symlink to $$p"; \
+	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol -- -VF:XServer-Xorg-Detect-Depends=$(XSERVER_XORG_DETECT_DEPENDS)
@@ -111,6 +122,17 @@
 	dh_link
 	dh_strip
 	dh_compress
+	t=x11-common; \
+	for p in $$(dh_listpackages -s -N$$t); do \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	  ( \
+	    echo "# doc dir is now a symlink to $$p"; \
+	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	chown root:root debian/x11-common/etc/X11/Xsession
 	chmod 755 debian/x11-common/etc/X11/Xsession
@@ -121,7 +143,7 @@
 	dh_gencontrol -- -VF:XServer-Xorg-Video-Depends=$(XSERVER_XORG_VIDEO_DEPENDS) \
 	                 -VF:XServer-Xorg-Input-Depends=$(XSERVER_XORG_INPUT_DEPENDS) \
 	                 -VServer-ABI-Version=$(SERVERABIBUMP) \
-			 -Vxorg-extra-dep=$(XORG_EXTRA_DEP)
+	                 -Vxorg-extra-dep=$(XORG_EXTRA_DEP)
 	dh_md5sums
 	dh_builddeb
 	touch stamp-$@
